Evaluate environment decision
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/environments/{environmentId}/evaluate/{*} \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"context": {
"cart": {
"total": 1500
},
"customer": {
"country": "US",
"tier": "gold"
}
},
"trace": false
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/environments/{environmentId}/evaluate/{*}"
payload = {
"context": {
"cart": { "total": 1500 },
"customer": {
"country": "US",
"tier": "gold"
}
},
"trace": False
}
headers = {
"X-Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {cart: {total: 1500}, customer: {country: 'US', tier: 'gold'}},
trace: false
})
};
fetch('https://api.example.com/api/projects/{projectId}/environments/{environmentId}/evaluate/{*}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "<unknown>",
"performance": "<string>",
"trace": {}
}{
"message": "<string>",
"data": "<unknown>"
}Decision
Evaluate environment decision
Evaluates a decision using the release deployed to a specific environment.
POST
/
api
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
evaluate
/
{*}
Evaluate environment decision
Authorizations
Project access token is obtained within project settings
Path Parameters
ProjectId or projectKey
EnvironmentId or environmentKey
Decision document key
Body
application/json
Response
Successful environment decision evaluation result
Was this page helpful?
⌘I